import request from '@/utils/request'

// 查询油站通知管理列表
export function listNotice(query) {
  return request({
    url: '/station/notice/list',
    method: 'get',
    params: query
  })
}

// 查询油站通知管理详细
export function getNotice(noticeId) {
  return request({
    url: '/station/notice/' + noticeId,
    method: 'get'
  })
}

// 新增油站通知管理
export function addNotice(data) {
  return request({
    url: '/station/notice',
    method: 'post',
    data: data
  })
}

// 修改油站通知管理
export function updateNotice(data) {
  return request({
    url: '/station/notice',
    method: 'put',
    data: data
  })
}

// 删除油站通知管理
export function delNotice(noticeId) {
  return request({
    url: '/station/notice/' + noticeId,
    method: 'delete'
  })
}

// 导出油站通知管理
export function exportNotice(query) {
  return request({
    url: '/station/notice/export',
    method: 'get',
    params: query
  })
}